export type AttributeType = {
  "xmlns:xsi"?: string;
  "xsi:schemaLocation"?: string;
  "xmlns:dcc"?: string;
  "xmlns:si"?: string;
  schemaVersion?: string;

  lang?: string;
  id?: string;
};

export class XMLElement {
  _text?: string;
  _attr?: AttributeType;

  constructor(element?: Partial<XMLElement>) {
    this._text = (element && element._text) || "";
    this._attr = (element && element._attr) || {};
  }
}
